DewaVPS

Get payment methods

GET
/billing/v2/payment-methods

Retrieve available payment methods grouped by category, with fees calculated for a given amount.

Authorization

ApiKeyAuth
x-apikey<token>

In: header

Query Parameters

amount?integer

Top-up amount to calculate fees for

Response Body

application/json

curl -X GET "https://api.dewavps.com/v1/billing/v2/payment-methods"
{
  "message": "Available payment methods",
  "data": {
    "bank": [
      {
        "name": "string",
        "code": "string",
        "image": "http://example.com",
        "fee": 0,
        "vat": 0
      }
    ],
    "card": [
      {
        "name": "string",
        "code": "string",
        "image": "http://example.com",
        "fee": 0,
        "vat": 0
      }
    ],
    "ritel": [
      {
        "name": "string",
        "code": "string",
        "image": "http://example.com",
        "fee": 0,
        "vat": 0
      }
    ],
    "ewallet": [
      {
        "name": "string",
        "code": "string",
        "image": "http://example.com",
        "fee": 0,
        "vat": 0
      }
    ],
    "qris": [
      {
        "name": "string",
        "code": "string",
        "image": "http://example.com",
        "fee": 0,
        "vat": 0
      }
    ]
  }
}